dbus: upgrade to 1.2.24

[Patches]
  REMOVE    _cross.patch_: fixed in upstream
  KEEP      _tmpdir.patch_: disable tmpdir test in build system
  UPDATE    _fix-install-daemon.patch_: use automake for binary install instead of manual
                                        tweaks. extend it to cover dbus-daemon-launch-helper

[Recipe]
  - remove native recipes and old versions
  - install to STAGING_DATADIR_NATIVE directly
  - remove manual tweak on dbus-daemon-launch-helper install
  - remove stale config options
  - adjust indention
  - enable dbus in runlevel 3 since networkmanager has requirement at that level
  - remove preferred versions in poky-fixed-revisions.inc. Based on discussion with Josh,
    the preferred version is there just because dbus is not carefully tested before

Signed-off-by: Kevin Tian <kevin.tian@intel.com>
This commit is contained in:
Kevin Tian 2010-07-10 17:22:04 +08:00 committed by Richard Purdie
parent 85d83ab01b
commit 67eeb71308
17 changed files with 80 additions and 312 deletions

View File

@ -17,8 +17,6 @@ PREFERRED_VERSION_gtk+ ?= "2.20.1"
PREFERRED_VERSION_librsvg ?= "2.26.3"
PREFERRED_VERSION_dbus ?= "1.2.4"
PREFERRED_VERSION_dbus-native ?= "1.2.4"
PREFERRED_VERSION_dbus-glib ?= "0.82"
PREFERRED_VERSION_dbus-glib-native ?= "0.82"
PREFERRED_VERSION_gnome-vfs ?= "2.22.0"

View File

@ -1,10 +0,0 @@
--- /tmp/configure.in 2006-11-09 21:47:10.000000000 +0100
+++ dbus-0.95/configure.in 2006-11-09 21:48:13.108554000 +0100
@@ -719,6 +719,7 @@
exit (0);
]])],
[ac_cv_have_abstract_sockets=yes],
+ [ac_cv_have_abstract_sockets=no],
[ac_cv_have_abstract_sockets=no]
)])
AC_LANG_POP(C)

View File

@ -1,31 +1,36 @@
# Update fix-daemon-install patch to use automake magic to avoid the wrapper scripts
#
# original by RP, updated to handle dbus-daemon-launch-helper by Kevin Tian <kevin.tian@intel.com>, 2010-07-10
Index: dbus-1.2.14/bus/Makefile.am
===================================================================
--- dbus-1.2.14.orig/bus/Makefile.am 2009-04-17 20:45:29.000000000 +0100
+++ dbus-1.2.14/bus/Makefile.am 2009-11-13 09:47:24.000000000 +0000
@@ -149,7 +149,7 @@
@@ -149,7 +149,7 @@ endif
## we use noinst_PROGRAMS not check_PROGRAMS so that we build
## even when not doing "make check"
-noinst_PROGRAMS=$(TESTS) dbus-daemon dbus-daemon-launch-helper-test dbus-daemon-launch-helper
+noinst_PROGRAMS=$(TESTS) dbus-daemon-launch-helper-test dbus-daemon-launch-helper
+noinst_PROGRAMS=$(TESTS) dbus-daemon-launch-helper-test
bus_test_system_SOURCES= \
$(XML_SOURCES) \
@@ -171,20 +171,17 @@
@@ -171,34 +171,22 @@ bus_test_SOURCES= \
bus_test_LDADD=$(top_builddir)/dbus/libdbus-convenience.la $(DBUS_BUS_LIBS)
bus_test_LDFLAGS=@R_DYNAMIC_LDFLAG@
+dbusdaemondir = $(DBUS_DAEMONDIR)
+dbusdaemon_PROGRAMS = dbus-daemon
+
+libexec_PROGRAMS = dbus-daemon-launch-helper
+
## mop up the gcov files
clean-local:
/bin/rm *.bb *.bbg *.da *.gcov || true
uninstall-hook:
-uninstall-hook:
- rm -f $(DESTDIR)$(DBUS_DAEMONDIR)/dbus-daemon
rm -f $(DESTDIR)$(libexecdir)/dbus-daemon-launch-helper
- rm -f $(DESTDIR)$(libexecdir)/dbus-daemon-launch-helper
-
install-data-hook:
- if test '!' -d $(DESTDIR)$(DBUS_DAEMONDIR); then \
- $(mkinstalldirs) $(DESTDIR)$(DBUS_DAEMONDIR); \
@ -35,3 +40,17 @@ Index: dbus-1.2.14/bus/Makefile.am
$(mkinstalldirs) $(DESTDIR)$(localstatedir)/run/dbus
$(mkinstalldirs) $(DESTDIR)$(configdir)/system.d
$(mkinstalldirs) $(DESTDIR)$(configdir)/session.d
$(mkinstalldirs) $(DESTDIR)$(datadir)/dbus-1/services
$(mkinstalldirs) $(DESTDIR)$(datadir)/dbus-1/system-services
$(mkinstalldirs) $(DESTDIR)$(libexecdir)/dbus-1
- $(INSTALL_PROGRAM) dbus-daemon-launch-helper $(DESTDIR)$(libexecdir)
- if test `id -u` -eq 0; then \
- chown root:$(DBUS_USER) $(DESTDIR)$(libexecdir)/dbus-daemon-launch-helper; \
- chmod 4750 $(DESTDIR)$(libexecdir)/dbus-daemon-launch-helper; \
- else \
- echo "Not installing $(DESTDIR)$(libexecdir)/dbus-daemon-launch-helper binary setuid!"; \
- echo "You'll need to manually set permissions to root:$(DBUS_USER) and permissions 4750"; \
- fi
#### Init scripts fun
SCRIPT_IN_FILES=messagebus.in \

View File

@ -1,3 +1,7 @@
# avoid to check tmp dir at build time. instead uses hard coded /tmp here
#
# comment added by Kevin Tian <kevin.tian@intel.com>
--- dbus-0.22/configure.in.orig 2004-08-13 00:57:16.000000000 +0200
+++ dbus-0.22/configure.in 2004-12-30 21:15:57.000000000 +0100
@@ -1047,15 +1048,18 @@

View File

@ -1 +0,0 @@
d messagebus messagebus 0755 /var/run/dbus none

View File

@ -1,10 +0,0 @@
--- /tmp/configure.in 2006-11-09 21:47:10.000000000 +0100
+++ dbus-0.95/configure.in 2006-11-09 21:48:13.108554000 +0100
@@ -719,6 +719,7 @@
exit (0);
]])],
[ac_cv_have_abstract_sockets=yes],
+ [ac_cv_have_abstract_sockets=no],
[ac_cv_have_abstract_sockets=no]
)])
AC_LANG_POP(C)

View File

@ -1,121 +0,0 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: dbus
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 1
# Short-Description: D-Bus systemwide message bus
# Description: D-Bus is a simple interprocess messaging system, used
# for sending messages between applications.
### END INIT INFO
#
# -*- coding: utf-8 -*-
# Debian init.d script for D-BUS
# Copyright © 2003 Colin Walters <walters@debian.org>
set -e
DAEMON=/usr/bin/dbus-daemon
NAME=dbus
DAEMONUSER=messagebus
PIDDIR=/var/run/dbus
PIDFILE=$PIDDIR/pid
UUIDDIR=/var/lib/dbus
DESC="system message bus"
EVENTDIR=/etc/dbus-1/event.d
test -x $DAEMON || exit 0
# Source defaults file; edit that file to configure this script.
ENABLED=1
PARAMS=""
if [ -e /etc/default/dbus ]; then
. /etc/default/dbus
fi
test "$ENABLED" != "0" || exit 0
start_it_up()
{
if [ ! -d $PIDDIR ]; then
mkdir -p $PIDDIR
chown $DAEMONUSER $PIDDIR
chgrp $DAEMONUSER $PIDDIR
fi
if [ -e $PIDFILE ]; then
PIDDIR=/proc/$(cat $PIDFILE)
if [ -d ${PIDDIR} -a "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
echo "$DESC already started; not starting."
else
echo "Removing stale PID file $PIDFILE."
rm -f $PIDFILE
fi
fi
if [ ! -d $UUIDDIR ]; then
mkdir -p $UUIDDIR
chown $DAEMONUSER $UUIDDIR
chgrp $DAEMONUSER $UUIDDIR
fi
dbus-uuidgen --ensure
echo -n "Starting $DESC: "
start-stop-daemon --start --quiet --pidfile $PIDFILE \
--user $DAEMONUSER --exec $DAEMON -- --system $PARAMS
echo "$NAME."
if [ -d $EVENTDIR ]; then
run-parts --arg=start $EVENTDIR
fi
}
shut_it_down()
{
if [ -d $EVENTDIR ]; then
# TODO: --reverse when busybox supports it
run-parts --arg=stop $EVENTDIR
fi
echo -n "Stopping $DESC: "
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--user $DAEMONUSER
# We no longer include these arguments so that start-stop-daemon
# can do its job even given that we may have been upgraded.
# We rely on the pidfile being sanely managed
# --exec $DAEMON -- --system $PARAMS
echo "$NAME."
rm -f $PIDFILE
}
reload_it()
{
echo -n "Reloading $DESC config: "
dbus-send --print-reply --system --type=method_call \
--dest=org.freedesktop.DBus \
/ org.freedesktop.DBus.ReloadConfig > /dev/null
# hopefully this is enough time for dbus to reload it's config file.
echo "done."
}
case "$1" in
start)
start_it_up
;;
stop)
shut_it_down
;;
reload|force-reload)
reload_it
;;
restart)
shut_it_down
sleep 1
start_it_up
;;
*)
echo "Usage: /etc/init.d/$NAME {start|stop|restart|reload|force-reload}" >&2
exit 1
;;
esac
exit 0

View File

@ -1,37 +0,0 @@
Index: dbus-1.2.4/bus/Makefile.am
===================================================================
--- dbus-1.2.4.orig/bus/Makefile.am 2008-08-07 19:44:35.000000000 +0100
+++ dbus-1.2.4/bus/Makefile.am 2009-11-13 09:45:31.000000000 +0000
@@ -149,7 +149,7 @@
## we use noinst_PROGRAMS not check_PROGRAMS so that we build
## even when not doing "make check"
-noinst_PROGRAMS=$(TESTS) dbus-daemon dbus-daemon-launch-helper-test dbus-daemon-launch-helper
+noinst_PROGRAMS=$(TESTS) dbus-daemon-launch-helper-test dbus-daemon-launch-helper
bus_test_system_SOURCES= \
$(XML_SOURCES) \
@@ -171,20 +171,17 @@
bus_test_LDADD=$(top_builddir)/dbus/libdbus-convenience.la $(DBUS_BUS_LIBS)
bus_test_LDFLAGS=@R_DYNAMIC_LDFLAG@
+dbusdaemondir = $(DBUS_DAEMONDIR)
+dbusdaemon_PROGRAMS = dbus-daemon
+
## mop up the gcov files
clean-local:
/bin/rm *.bb *.bbg *.da *.gcov || true
uninstall-hook:
- rm -f $(DESTDIR)$(DBUS_DAEMONDIR)/dbus-daemon
rm -f $(DESTDIR)$(libexecdir)/dbus-daemon-launch-helper
install-data-hook:
- if test '!' -d $(DESTDIR)$(DBUS_DAEMONDIR); then \
- $(mkinstalldirs) $(DESTDIR)$(DBUS_DAEMONDIR); \
- chmod 755 $(DESTDIR)$(DBUS_DAEMONDIR); \
- fi
- $(INSTALL_PROGRAM) dbus-daemon $(DESTDIR)$(DBUS_DAEMONDIR)
$(mkinstalldirs) $(DESTDIR)$(localstatedir)/run/dbus
$(mkinstalldirs) $(DESTDIR)$(configdir)/system.d
$(mkinstalldirs) $(DESTDIR)$(configdir)/session.d

View File

@ -1,30 +0,0 @@
--- dbus-0.22/configure.in.orig 2004-08-13 00:57:16.000000000 +0200
+++ dbus-0.22/configure.in 2004-12-30 21:15:57.000000000 +0100
@@ -1047,15 +1048,18 @@
AC_SUBST(ABSOLUTE_TOP_BUILDDIR)
#### Find socket directories
-if ! test -z "$TMPDIR" ; then
- DEFAULT_SOCKET_DIR=$TMPDIR
-elif ! test -z "$TEMP" ; then
- DEFAULT_SOCKET_DIR=$TEMP
-elif ! test -z "$TMP" ; then
- DEFAULT_SOCKET_DIR=$TMP
-else
- DEFAULT_SOCKET_DIR=/tmp
-fi
+#if ! test -z "$TMPDIR" ; then
+# DEFAULT_SOCKET_DIR=$TMPDIR
+#elif ! test -z "$TEMP" ; then
+# DEFAULT_SOCKET_DIR=$TEMP
+#elif ! test -z "$TMP" ; then
+# DEFAULT_SOCKET_DIR=$TMP
+#else
+# DEFAULT_SOCKET_DIR=/tmp
+#fi
+
+# checks disabled to avoid expanding this at build time
+DEFAULT_SOCKET_DIR=/tmp
if ! test -z "$with_test_socket_dir" ; then
TEST_SOCKET_DIR="$with_test_socket_dir"

View File

@ -1,20 +0,0 @@
require dbus.inc
inherit native
DEPENDS = "glib-2.0-native libxml2-native expat-native"
PR = "r6"
EXTRA_OECONF_X = "--without-x"
do_install() {
autotools_do_install
# for dbus-glib-native introspection generation
install -d ${D}${datadir}/dbus/
install -m 0644 bus/session.conf ${D}${datadir}/dbus/session.conf
# dbus-glib-native and dbus-glib need this xml file
cd ${S}
./bus/dbus-daemon --introspect > ${D}${datadir}/dbus/dbus-bus-introspect.xml
}

View File

@ -1,20 +0,0 @@
require dbus.inc
inherit native
DEPENDS = "glib-2.0-native libxml2-native expat-native"
PR = "r7"
EXTRA_OECONF_X = "--without-x"
do_install() {
autotools_do_install
# for dbus-glib-native introspection generation
install -d ${D}${datadir}/dbus/
install -m 0644 bus/session.conf ${D}${datadir}/dbus/session.conf
# dbus-glib-native and dbus-glib need this xml file
cd ${S}
./bus/dbus-daemon --introspect > ${D}${datadir}/dbus/dbus-bus-introspect.xml
}

View File

@ -5,16 +5,15 @@ LICENSE = "AFL2.1 | GPLv2+"
DEPENDS = "expat glib-2.0 virtual/libintl virtual/libx11 libsm"
SRC_URI = "http://dbus.freedesktop.org/releases/dbus/dbus-${PV}.tar.gz \
file://cross.patch; \
file://tmpdir.patch; \
file://fix-install-daemon.patch; \
file://dbus-1.init \
file://99_dbus"
inherit autotools pkgconfig gettext
inherit autotools pkgconfig gettext update-rc.d
INITSCRIPT_NAME = "dbus-1"
INITSCRIPT_PARAMS = "start 02 5 2 . stop 20 0 1 6 ."
INITSCRIPT_PARAMS = "start 02 5 3 2 . stop 20 0 1 6 ."
CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
@ -22,65 +21,69 @@ DEBIANNAME_${PN} = "dbus-1"
PACKAGES =+ "${PN}-lib"
FILES_${PN} = "\
${bindir}/dbus-daemon* \
${bindir}/dbus-uuidgen \
${bindir}/dbus-launch \
${bindir}/dbus-cleanup-sockets \
${bindir}/dbus-send \
${bindir}/dbus-monitor \
${libexecdir}/dbus* \
${sysconfdir} \
${datadir}/dbus-1/services \
${datadir}/dbus-1/system-services \
"
FILES_${PN} = "${bindir}/dbus-daemon* \
${bindir}/dbus-uuidgen \
${bindir}/dbus-launch \
${bindir}/dbus-cleanup-sockets \
${bindir}/dbus-send \
${bindir}/dbus-monitor \
${libexecdir}/dbus* \
${sysconfdir} \
${datadir}/dbus-1/services \
${datadir}/dbus-1/system-services"
FILES_${PN}-lib = "${libdir}/lib*.so.*"
RRECOMMENDS_${PN}-lib = "${PN}"
FILES_${PN}-dev += "${libdir}/dbus-1.0/include ${bindir}/dbus-glib-tool ${libdir}/"
FILES_${PN}-dev += "${libdir}/dbus-1.0/include ${bindir}/dbus-glib-tool"
pkg_postinst_dbus() {
#!/bin/sh
# can't do adduser stuff offline
if [ "x$D" != "x" ]; then
exit 1
fi
# can't do adduser stuff offline
if [ "x$D" != "x" ]; then
exit 1
fi
MESSAGEUSER=messagebus
MESSAGEHOME=/var/run/dbus
MESSAGEUSER=messagebus
MESSAGEHOME=/var/run/dbus
mkdir -p $MESSAGEHOME || true
chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || \
adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password \
--ingroup "$MESSAGEUSER" "$MESSAGEUSER"
mkdir -p $MESSAGEHOME || true
chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
grep -q netdev: /etc/group || addgroup netdev
chmod u+s /usr/libexec/dbus-daemon-launch-helper
grep -q netdev: /etc/group || addgroup netdev
chmod u+s /usr/libexec/dbus-daemon-launch-helper
}
EXTRA_OECONF_X = "--with-x"
EXTRA_OECONF_X_virtclass-native = "--without-x"
EXTRA_OECONF = "\
--disable-qt \
--disable-qt3 \
--disable-gtk \
--disable-tests \
--disable-checks \
--disable-xml-docs \
--disable-doxygen-docs \
--disable-libaudit \
--with-xml=expat \
${EXTRA_OECONF_X} \
"
EXTRA_OECONF = "--disable-tests \
--disable-checks \
--disable-xml-docs \
--disable-doxygen-docs \
--disable-libaudit \
--with-xml=expat \
${EXTRA_OECONF_X}"
do_install() {
autotools_do_install
install -d ${D}/etc/default/volatiles
install -m 0644 ${WORKDIR}/99_dbus ${D}/etc/default/volatiles/
install -d ${D}${sysconfdir}/init.d
install -m 0755 ${WORKDIR}/dbus-1.init ${D}${sysconfdir}/init.d/dbus-1
# the stock install seems to install the libtool wrapper script, so we have to copy this manually :M:
if [ -e bus/.libs/dbus-daemon-launch-helper ]; then
install -m 0755 bus/.libs/dbus-daemon-launch-helper ${D}${libexecdir}/
fi
}
do_install_virtclass-native() {
autotools_do_install
# for dbus-glib-native introspection generation
install -d ${STAGING_DATADIR_NATIVE}/dbus/
# N.B. is below install actually required?
install -m 0644 bus/session.conf ${STAGING_DATADIR_NATIVE}/dbus/session.conf
# dbus-glib-native and dbus-glib need this xml file
./bus/dbus-daemon --introspect > ${STAGING_DATADIR_NATIVE}/dbus/dbus-bus-introspect.xml
}
BBCLASSEXTEND = "native"

View File

@ -1,5 +0,0 @@
include dbus.inc
PR = "r3"
inherit update-rc.d

View File

@ -0,0 +1,3 @@
include dbus.inc
PR = "r0"

View File

@ -1,5 +0,0 @@
include dbus.inc
PR = "r3"
inherit update-rc.d